class 'l_ERSGStudioScreen' (BaseScreen)

function l_ERSGStudioScreen:__init(namee, screen)
	BaseScreen.__init(self, namee, screen)
	
	self.dt = 0
	screen:GetObject('fade'):ChangeOpacity(1, 0, 0.3)
	
--	screen:SetScale(0.5)
--	screen:SetScrXY(512, 384)
end

function l_ERSGStudioScreen:OnUpdate(dt)
    local screen = self:GetTopLevelScreen()
    if not screen:IsDestroy() then
        self.dt = self.dt + dt;
        if self.dt > 3 then
            OnERSGStudioScreenDestroy()
        end
    end
end

function l_ERSGStudioScreen:OnAllItemsFound()

end

function l_ERSGStudioScreen:OnObjectMouseEnter(object)

end

function l_ERSGStudioScreen:OnObjectMouseLeave(object)

end

function l_ERSGStudioScreen:OnScreenObjectMouseDown(object)
    local screen = self:GetTopLevelScreen()
    if not screen:IsDestroy() then
        OnERSGStudioScreenDestroy()
    end
end

function l_ERSGStudioScreen:OnObjectMouseDownProcessed(is_wrong_click)

end

function l_ERSGStudioScreen:OnObjectMouseUp(object)

end

function l_ERSGStudioScreen:OnObjectFound(object)

end

function l_ERSGStudioScreen:OnToolFound(tool)

end

function l_ERSGStudioScreen:OnToolApply(tool, object)

end

function l_ERSGStudioScreen:OnObjectReachPanel(object)

end

function l_ERSGStudioScreen:OnButtonPress(title)

end

function l_ERSGStudioScreen:OnMouseMove(previous_pos, current_pos)

end

function l_ERSGStudioScreen:OnSetTool(tool)

end

function l_ERSGStudioScreen:OnLoaded()

end

function l_ERSGStudioScreen:OnDestroy()
end

--------------------------------------------------------------------------------
function CreateERSGStudioScreen()
    local screen = CreateScriptedScreen('data/Scripts/screens/ERSGStudioScreen.lua', 'l_ERSGStudioScreen')
    PopUpScreensMgr:Push(screen, false, nil)
end
--------------------------------------------------------------------------------
function OnERSGStudioScreenDestroy()
    PopUpScreensMgr:Pop()
    CreateLoadingScreenCycle()
end
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_ERSGStudioScreen:LoadData(screen)
	local anim = CreateAnimation('data/Texture/Logo/ERSLogo.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ERSLogo',anim,512,384,70,0,1,1)
end
-- CLEAR_ON_SAVE_END
